@echo off
rem LHA2BOO.BAT
rem First make self-extracting w/LHA, then make it a BOO file.
    if ".%1" == "." goto usage
    if ".%2" == "." goto usage
    if exist %1.exe goto warn
    if exist %2 goto proceed
    echo No file to compress then BOO!
    :usage
    echo .
    echo LHA2BOO first creates a self-extracting LHA archive, then
    echo an e-mailable .BOO file from that self-extracting archive.
    echo Use for e-mailing programs, word processed documents, graphics etc.
    echo .
    echo Usage is:  lha2boo newfile oldfile.ext
    echo .
    echo You should have NO extension on newfile.
    echo You may use wild cards to specify several files in oldfile.ext
    goto done
    :proceed
lha a %1 %2 %3 %4
lha s %1
makeboo %1.exe
    del %1.lzh
    del %1.exe
    dir %1.*
    goto done
    :warn
    echo Stopping because %1.exe already exists and will be deleted by this.
    echo Either change its name, delete it, or give a different newfilename.
    :done
